﻿Imports com.citizen.sdk.LabelPrint
Imports System.Data

Public Class Form1

    Public Sub New()

        ' この呼び出しは、Windows フォーム デザイナで必要です。
        InitializeComponent()

        ' InitializeComponent() 呼び出しの後で初期化を追加します。
        ' ComboBoxColumnで使用するDataTableの作成
        Dim dataTable1 As New DataTable("ComboBox")
        dataTable1.Columns.Add("Display", Type.GetType("System.String"))
        dataTable1.Columns.Add("Value", Type.GetType("System.Int32"))
        dataTable1.Rows.Add("NET", LabelConst.CLS_PORT_NET)
        dataTable1.Rows.Add("Bluetooth", LabelConst.CLS_PORT_Bluetooth)
        dataTable1.Rows.Add("COM", LabelConst.CLS_PORT_COM)
        comboBox1.DataSource = dataTable1
        comboBox1.DisplayMember = "Display"
        comboBox1.ValueMember = "Value"
        comboBox1.SelectedIndex = 0

    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click

        ' Create an instance( LabelPrinter class )
        Dim printer As New LabelPrinter()

        ' Get Type
        Dim type As Integer = comboBox1.SelectedValue

        ' Get Address
        Dim addr As String = textBox1.Text

        ' Set COMM Properties( COMM only )
        If LabelConst.CLS_PORT_COM = type Then
            printer.SetCommProperties(LabelConst.CLS_COM_BAUDRATE_9600, LabelConst.CLS_COM_PARITY_NONE, LabelConst.CLS_COM_HANDSHAKE_DTRDSR)
        End If

        ' Connect printer
        Dim status As Integer
        Dim result As Integer = printer.Connect(type, addr)

        If LabelConst.CLS_SUCCESS = result Then

            ' Printer Check
            result = printer.PrinterCheck()

            ' Disconnect
            printer.Disconnect()

            If LabelConst.CLS_SUCCESS = result Then

                Dim msg As String = "PrinterCheck() : Success" & vbCrLf

                ' CommandInterpreterInAction
                status = printer.GetCommandInterpreterInAction()
                msg += " CommandInterpreterInAction -> " & status & vbCrLf

                ' PaperError
                status = printer.GetPaperError()
                msg += " PaperError -> " & status & vbCrLf

                ' RibbonEnd
                status = printer.GetRibbonEnd()
                msg += " RibbonEnd -> " & status & vbCrLf

                ' BatchProcessing
                status = printer.GetBatchProcessing()
                msg += " BatchProcessing -> " & status & vbCrLf

                ' Printing
                status = printer.GetPrinting()
                msg += " Printing -> " & status & vbCrLf

                ' Pause
                status = printer.GetPause()
                msg += " Pause -> " & status & vbCrLf

                ' WaitingForPeeling
                status = printer.GetWaitingForPeeling()
                msg += " WaitingForPeeling -> " & status & vbCrLf

                ' Show Status
                MessageBox.Show(msg)

            Else

                ' Printer Check Error
                MessageBox.Show("PrinterCheck Error : " + result.ToString())

            End If

        Else

            ' Connect Error
            MessageBox.Show("Connect Error : " + result.ToString())

        End If

    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click

        ' Create an instance( LabelDesign class )
        Dim design As New LabelDesign()

        ' Text
        design.DrawTextPtrFont("Sample Print", LabelConst.CLS_LOCALE_JP, LabelConst.CLS_PRT_FNT_TRIUMVIRATE_B, LabelConst.CLS_RT_NORMAL, 1, 1, LabelConst.CLS_PRT_FNT_SIZE_24, 20, 300)

        ' QRCode
        design.DrawQRCode("DrawQRCode", LabelConst.CLS_ENC_CDPG_IBM850, LabelConst.CLS_RT_NORMAL, 4, LabelConst.CLS_QRCODE_EC_LEVEL_H, 20, 220)

        ' Rect(fill)
        design.FillRect(20, 150, 350, 40, LabelConst.CLS_SHADED_PTN_11)

        ' BarCode
        design.DrawBarCode("0123456789", LabelConst.CLS_BCS_CODE128, LabelConst.CLS_RT_NORMAL, 3, 3, 30, 20, 70, LabelConst.CLS_BCS_TEXT_SHOW)


        ' Create an instance( LabelPrinter class )
        Dim printer As New LabelPrinter()

        ' Get Type
        Dim type As Integer = comboBox1.SelectedValue

        ' Get Address
        Dim addr As String = textBox1.Text

        ' Set COMM Properties( COMM only )
        If LabelConst.CLS_PORT_COM = type Then
            printer.SetCommProperties(LabelConst.CLS_COM_BAUDRATE_9600, LabelConst.CLS_COM_PARITY_NONE, LabelConst.CLS_COM_HANDSHAKE_DTRDSR)
        End If

        ' Connect printer
        Dim result As Integer = printer.Connect(type, addr)

        If LabelConst.CLS_SUCCESS = result Then

            ' Get Properties
            Dim printDarkness As Integer = printer.GetPrintDarkness()
            If LabelConst.CLS_PROPERTY_DEFAULT = printDarkness Then
                ' Set Properties
                printer.SetPrintDarkness(10)
            End If

            ' Print Label
            result = printer.Print(design, 1)

            ' Disconnect
            printer.Disconnect()

            If LabelConst.CLS_SUCCESS <> result Then

                ' Print Error
                MessageBox.Show("Print Error : " + result.ToString())

            End If

        Else

            ' Connect Error
            MessageBox.Show("Connect Error : " + result.ToString())

        End If

    End Sub

End Class
