﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using com.citizen.sdk.LabelPrint;

namespace PrintBarcode
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            DataTable dataTable1 = new DataTable("ComboBox");
            dataTable1.Columns.Add("Display", typeof(string));
            dataTable1.Columns.Add("Value", typeof(int));
            dataTable1.Rows.Add("NET", LabelConst.CLS_PORT_NET);
            dataTable1.Rows.Add("Bluetooth", LabelConst.CLS_PORT_Bluetooth);
            dataTable1.Rows.Add("COM", LabelConst.CLS_PORT_COM);
            comboBox1.DataSource = dataTable1;
            comboBox1.DisplayMember = "Display";
            comboBox1.ValueMember = "Value";
        }

        private void printBtn_Click(object sender, EventArgs e)
        {

            // Create an instance( LabelDesign class )
            LabelDesign design = new LabelDesign();

            //Printer font
            design.DrawTextPtrFont(textBox2.Text,                       //string data
                                   LabelConst.CLS_LOCALE_OTHER,         //int locale
                                   LabelConst.CLS_PRT_FNT_TRIUMVIRATE,  //int font
                                   LabelConst.CLS_RT_NORMAL,            //int rotation
                                   1,                                   //int hexp
                                   1,                                   //int vexp
                                   LabelConst.CLS_PRT_FNT_SIZE_12,      //int size
                                   10,                                  //int x
                                   80);                                 //int y

            //1D barcode-Code 128
            design.DrawBarCode(textBox3.Text, LabelConst.CLS_BCS_CODE128, LabelConst.CLS_RT_NORMAL, 6, 3, 50, 10, 10, LabelConst.CLS_BCS_TEXT_SHOW);


            // Create an instance( LabelPrinter class )
            LabelPrinter printer = new LabelPrinter();
            printer.SetMeasurementUnit(LabelConst.CLS_UNIT_INCH);

            // Get Type
            int type = (int)comboBox1.SelectedValue;

            // Get Address
            String addr = textBox1.Text;

            // Set COMM Properties( COMM only )
            if (LabelConst.CLS_PORT_COM == type)
            {
                printer.SetCommProperties(LabelConst.CLS_COM_BAUDRATE_9600, LabelConst.CLS_COM_PARITY_NONE, LabelConst.CLS_COM_HANDSHAKE_DTRDSR);
            }

            // Connect printer
            int result = printer.Connect(type, addr);

            if (LabelConst.CLS_SUCCESS == result)
            {
                // Print Label
                result = printer.Print(design, 1);

                // Disconnect
                printer.Disconnect();

                if (LabelConst.CLS_SUCCESS != result)
                {
                    // Print Error
                    MessageBox.Show("Print Error : " + result.ToString());
                }
            }
            else
            {
                // Connect Error
                MessageBox.Show("Connect Error : " + result.ToString());
            }
        }
    }
}